package com.ruoyi.invest.domain;

import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 文件资料对象 t_project_information
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
public class TProjectInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    /** 文件类别 */
    @Excel(name = "文件类别")
    private String fileType;

    /** 项目ID */
    @Excel(name = "项目名称")
    private String projectPoolId;

    /** 项目阶段 */
    @Excel(name = "项目阶段")
    private String projectStage;

    /** 会议编号 */
//    @Excel(name = "会议编号")
    private String meetingCode;

    /** 附件业务ID */
    private String fileBusinessId;
    private String createBy;
    private String fileId;
    /** 状态 */
    private String delFlag;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    /**
     * 项目池
     */
    private TProjectPool tProjectPool;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setFileType(String fileType) 
    {
        this.fileType = fileType;
    }

    public String getFileType() 
    {
        return fileType;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setProjectStage(String projectStage) 
    {
        this.projectStage = projectStage;
    }

    public String getProjectStage() 
    {
        return projectStage;
    }
    public void setMeetingCode(String meetingCode) 
    {
        this.meetingCode = meetingCode;
    }

    public String getMeetingCode() 
    {
        return meetingCode;
    }
    public void setFileBusinessId(String fileBusinessId) 
    {
        this.fileBusinessId = fileBusinessId;
    }

    public String getFileBusinessId() 
    {
        return fileBusinessId;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public TProjectPool gettProjectPool() {
        return tProjectPool;
    }

    public void settProjectPool(TProjectPool tProjectPool) {
        this.tProjectPool = tProjectPool;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileName", getFileName())
            .append("fileType", getFileType())
            .append("projectPoolId", getProjectPoolId())
            .append("projectStage", getProjectStage())
            .append("meetingCode", getMeetingCode())
            .append("fileBusinessId", getFileBusinessId())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
    public TProjectInformation(){

    }
    public TProjectInformation(String id,String fileName,String fileType,String projectPoolId,String projectStage,String fileBusinessId,String createBy,String fileId){
        this.id=id;
        this.fileName=fileName;
        this.fileType=fileType;
        this.projectPoolId=projectPoolId;
        this.projectStage=projectStage;
        this.fileBusinessId=fileBusinessId;
        this.createBy=createBy;
        this.fileId=fileId;
    }
}
